Initiate audio track uploads
POST
/media/v1/projects/{projectId}/videos/{videoId}/audio-tracks/uploadInitiates one or more audio track uploads for a video.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
projectId*string
Project ID
videoId*string
Video ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_media.initTrackUploadBody",
"$ref-value": {
"properties": {
"items": {
"items": {
"$ref": "#/components/schemas/internal_media.trackUploadItem",
"$ref-value": {
"properties": {
"file_name": {
"type": "string"
},
"format": {
"type": "string"
},
"label": {
"type": "string"
},
"language_code": {
"type": "string"
},
"size": {
"type": "integer"
}
},
"required": [
"file_name",
"format",
"language_code"
],
"type": "object"
}
},
"minItems": 1,
"type": "array"
}
},
"required": [
"items"
],
"type": "object"
}
}Response Body
201application/json
Created
type: unknown
{
"$ref": "#/components/schemas/videosv1.TrackUploadInit",
"$ref-value": {
"properties": {
"expires_at": {
"type": "string"
},
"targets": {
"items": {
"$ref": "#/components/schemas/videosv1.TrackUploadTarget",
"$ref-value": {
"properties": {
"id": {
"type": "string"
},
"language_code": {
"type": "string"
},
"object_key": {
"type": "string"
},
"upload_url": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/media/v1/projects/string/videos/string/audio-tracks/upload" \
-H "Content-Type: application/json" \
-d '{
"items": [
{
"file_name": "string",
"format": "string",
"language_code": "string"
}
]
}'Created
application/json
{
"$ref": "#/components/schemas/videosv1.TrackUploadInit",
"$ref-value": {
"properties": {
"expires_at": {
"type": "string"
},
"targets": {
"items": {
"$ref": "#/components/schemas/videosv1.TrackUploadTarget",
"$ref-value": {
"properties": {
"id": {
"type": "string"
},
"language_code": {
"type": "string"
},
"object_key": {
"type": "string"
},
"upload_url": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}